function play(animation)
	lg.origin()
	
	animation.timer = animation.timer + hdt
	if animation.timer >= animation.playTime then animation.timer = animation.timer - animation.playTime end
	
	local c = lg.getCanvas()
	
	lg.setCanvas(animation.canvas)
	
	lg.clear()
	lg.scale(1)
	lg.draw(animation.img, math.floor(-animation.timer / animation.playTime * animation.numberOfFrames + 1) * animation.img:getHeight(), 0)
	
	lg.setCanvas(c)
	screen:apply()
	
	return animation.canvas
end

function newAnim(img,playTime)
	
	return {img = img, canvas = lg.newCanvas(img:getHeight(),img:getHeight()), playTime = playTime, numberOfFrames = img:getWidth() / img:getHeight(), timer = 0}
end