function loadAssets()
	f_default = lg.newFont("assets/dv.ttf",100)
	f_default:setFilter("nearest","nearest")
	lg.setFont(f_default)

	i_mapDefault = lg.newImage("assets/maps/bg.png")
	
	i_bgTile = lg.newImage("assets/tiles/bg.png")
	i_bgTile2 = lg.newImage("assets/tiles/bg2.png")
	
	a_playerRun = newAnim(lg.newImage("assets/player/run.png"),0.5)
	a_playerIdle = newAnim(lg.newImage("assets/player/idle.png"),0.5)
	i_playerCorpse = lg.newImage("assets/player/corpse.png")
	
	a_grunt = newAnim(lg.newImage("assets/enemies/grunt.png"),0.5)
	i_gruntDead = lg.newImage("assets/enemies/gruntDead.png")
	a_ranged = newAnim(lg.newImage("assets/enemies/ranged.png"),0.5)
	i_rangedDead = lg.newImage("assets/enemies/gruntDead.png")
	a_aoe = newAnim(lg.newImage("assets/enemies/aoe.png"),0.5)
	i_aoeDead = lg.newImage("assets/enemies/gruntDead.png")
	
	i_defaultBrick = lg.newImage("assets/bricks/default.png")
	i_enemyBrick = lg.newImage("assets/bricks/enemy.png")
	
	i_shadow = lg.newImage("assets/other/shadow.png")
	i_deathPuddle = lg.newImage("assets/other/bloodpuddle.png")
	
	i_crosshair = lg.newImage("assets/other/crosshair.png")
	i_playerHealth = lg.newImage("assets/other/health.png")
	
	i_gib = lg.newImage("assets/particles/gib.png")
	i_gib2 = lg.newImage("assets/particles/gib2.png")
	i_gib3 = lg.newImage("assets/particles/gib3.png")
	i_gib4 = lg.newImage("assets/particles/gib4.png")
	i_gib5 = lg.newImage("assets/particles/gib5.png")
	
	c_gore = lg.newCanvas(map.w,map.h)
	c_text = lg.newCanvas(640,360)
	c_end = lg.newCanvas(640,360)
	
	s_splat = la.newSource("assets/audio/splat1.wav","static")
	s_splat2 = la.newSource("assets/audio/splat2.wav","static")
	s_splat3 = la.newSource("assets/audio/splat3.wav","static")
	s_splat4 = la.newSource("assets/audio/splat4.wav","static")
	
	s_blip = la.newSource("assets/audio/blip.wav","static")
	s_fire = la.newSource("assets/audio/fire1.wav","static")
	s_hit = la.newSource("assets/audio/hit.wav","static")
	s_hit2 = la.newSource("assets/audio/hit2.mp3","static")
	
	s_music = la.newSource("assets/audio/Insane-Gameplay_Looping.mp3","stream")
	
end